Loading...
Searching...
No Matches
Dune::IsTupleOrDerived< T > Struct Template Reference
Common » Utilities » C++ utilities and backports

Check if T derived from a std::tuple<...>. More...

`#include <dune/common/typetraits.hh>`

## Detailed Description

template<class T>
struct Dune::IsTupleOrDerived< T >

Check if T derived from a std::tuple<...>.

The result is exported by deriving from std::true_type or std::false_type.

The documentation for this struct was generated from the following file:

- typetraits.hh